[omd-commits] OMD Git: omd: gearmand: reload replaced with restart

git version control git at mathias-kettner.de
Sun May 1 14:28:45 CEST 2011


Module:   omd
Branch:   master
Commit:   817b1cfa36340be13a1c6d04ca5663168af839f3
URL:      http://omdistro.org/projects/omd/repository/revisions/817b1cfa36340be13a1c6d04ca5663168af839f3

Author:   Sven Nierlein <sven at nierlein.de>
Date:     Sun May  1 14:28:10 2011 +0200
Commiter: Sven Nierlein <sven at nierlein.de>
Date:     Sun May  1 14:28:10 2011 +0200

gearmand: reload replaced with restart

---

 packages/gearmand/skel/etc/init.d/gearmand |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/packages/gearmand/skel/etc/init.d/gearmand b/packages/gearmand/skel/etc/init.d/gearmand
index 3257be5..287748f 100644
--- a/packages/gearmand/skel/etc/init.d/gearmand
+++ b/packages/gearmand/skel/etc/init.d/gearmand
@@ -152,11 +152,9 @@ case "$1" in
         printf '%s' "Reloading $NAME configuration files..."
         pid=$( cat $PIDFILE 2>/dev/null )
         if [ -n "$pid" ]; then
-            kill -HUP "$pid"
-            echo "OK"
-            exit 0;
+            $0 stop && sleep 1 && $0 start
+            exit $?
         else
-            echo ""
             echo "$NAME is not running"
             exit 1;
         fi



More information about the omd-commits mailing list